ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Utils.BufHandle

Synopsis

- data BufHandle = BufHandle !(Ptr Word8) !FastMutInt Handle
- newBufHandle :: Handle -> IO BufHandle
- bPutChar :: BufHandle -> Char -> IO ()
- bPutStr :: BufHandle -> String -> IO ()
- bPutFS :: BufHandle -> FastString -> IO ()
- bPutFZS :: BufHandle -> FastZString -> IO ()
- bPutPtrString :: BufHandle -> PtrString -> IO ()
- bPutReplicate :: BufHandle -> Int -> Char -> IO ()
- bFlush :: BufHandle -> IO ()

# Documentation

data BufHandle Source #

Constructors

BufHandle !(Ptr Word8) !FastMutInt Handle |

newBufHandle :: Handle -> IO BufHandle Source #

bPutChar :: BufHandle -> Char -> IO () Source #

bPutStr :: BufHandle -> String -> IO () Source #

bPutFS :: BufHandle -> FastString -> IO () Source #

bPutFZS :: BufHandle -> FastZString -> IO () Source #

bPutPtrString :: BufHandle -> PtrString -> IO () Source #

bPutReplicate :: BufHandle -> Int -> Char -> IO () Source #

Replicate an 8-bit character

bFlush :: BufHandle -> IO () Source #